#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>
#include "csrvthg.h"

char _prog_name[] = "lstn";

extern int InitWindow (struct QD_text *, short *);
extern void Update (int, char *, short);
long _stack = 2048;

int main (int ac, char **av)
{
    static QD_TEXTI (snoopy, "Snoopy");
    char *msg;
    int stdchn;
    short done = 0;
    int n;

    if ((stdchn = InitWindow ((struct QD_text *) &snoopy, &done)) > 0)
    {
	if ((n = UseSrvThg (LSTN, "demo")) == 0)
	{
	    short rlen;

	    while (!done)
	    {
		if ((n = LstnPoll ("demo", 100, &msg, &rlen)) >= 0)
		{
		    Update (stdchn, msg, rlen);
		    free (msg);
		}
		else if (n != -1)
		{
		    done = 1;
		}
	    }
	    FreeSrvThg (LSTN, "demo");
	    n = 0;
	}
    }
    return n;
}
int (*_Cstart) (int, char **) = main;
